* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: system-ui;
}

body {
    font-family: 'Inter', sans-serif;

    background: linear-gradient(180deg, #020617, #0f172a);
    color: white;
    font-size: 0.7rem;
    min-height: 100vh;

    display: flex;
    align-items: center;
    justify-content: center;

    padding: 10px;

}


.game-wrapper {

    width: 100%;
    max-width: 420px;

}

.top-ui {

    display: flex;
    justify-content: space-between;
    align-items: center;

    margin-bottom: 10px;

}

h1 {
    font-size: 20px;
}

.stats {
    font-size: 14px;
    opacity: .9;
}

canvas {

    width: 100%;
    height: 420px;

    background: black;

    border-radius: 12px;

    box-shadow: 0 10px 30px rgba(0, 0, 0, .6);

}

.controls {

    display: flex;
    justify-content: space-between;

    margin-top: 12px;

}

.controls button {

    flex: 1;

    margin: 4px;

    padding: 14px;

    border: none;

    border-radius: 10px;

    font-size: 20px;

    background: #1e293b;
    color: white;

}

.controls button:active {

    transform: scale(.95);

}

.start-btn {

    width: 100%;

    margin-top: 12px;

    padding: 14px;

    border: none;

    border-radius: 12px;

    font-size: 16px;

    background: #2563eb;
    color: white;

}

.back {
    color: #f3ebeb;
    text-decoration: none;
    background: #000000;
    padding: 10px 22px;
    border-radius: 10px;
    font-weight: 500;
    border: 1px solid rgb(255, 255, 255);
    transition: .25s;
}

.back:hover {
    transform: translateY(-2px);
    background: #f5f3f3;
    color: #0e0101;
}

/* tablet */

@media(min-width:600px) {

    canvas {
        height: 500px;
    }

}

/* desktop */

@media(min-width:900px) {
    body {
        font-size: 1rem;
    }

    .game-wrapper {
        max-width: 500px;
    }

    canvas {
        height: 560px;
    }

}


.back {
    color: #f3ebeb;
    text-decoration: none;
    background: #000000;
    padding: 10px 22px;
    border-radius: 10px;
    font-weight: 500;
    border: 1px solid rgb(255, 254, 254);
    transition: .25s;
}

.back:hover {
    transform: translateY(-2px);
    background: #f5f3f3;
    color: #0e0101;
}

/* MOBILE ADAPTIVE - max-width: 768px */
@media (max-width: 768px) {
    h1 {
        font-size: 16px;
    }

    body {
        font-size: 14px;
    }

    .game-wrapper {
        max-width: 100%;
    }

    canvas {
        height: 320px;
    }

    .stats {
        font-size: 12px;
    }

    .controls button {
        padding: 12px;
        font-size: 16px;
    }

    .start-btn {
        padding: 12px;
        font-size: 14px;
    }

    .top-ui {
        margin-bottom: 8px;
    }
}